Subject: Re: CR-LDP timer

From: Chatur sharp <[email-masked]>
Date: Tue, 13 Jun 2000 06:57:54 -0700 (PDT)

--- Yangguang Xu <[email-masked]> wrote:
> Thanks,
> 
> See my further question below,
> 
> > It runs on TCP, which provides this garuntee.
> Incase
> > response is not received the TCP times out. Much
> like
> > T301 etc.
> 
> What happens if TCP session is still OK, however
> CR-LDP messages are lost at
> some place, for example, the CR-LDP code drops
> messages mistakenly? Anything can
This is exactly the reliability redundancy I was
talking about. These assumption are made in the
erstwhile TELCO current B-ISDN world. 

But really if you look at it, its a Byzantine problem.
How many levels of reliability you could use and
should use are two different things. I am not saying
to assume that packets can be dropped between TCP and
LDP is right or wrong. But I do know that this 
assumption is not made in datacom world.

> happen. Are we sure TCP is enough? Also do we have
> time requirement for CR-LSP
> setup? Any requirement from service provider?

> 
> > A couple of points to remember are :
> > 1. Q.2931 is a UNI i/f where message from
> >    one user (caller) are carried by the network
> >    ( through possibly multiple hps ) to the second
> >    user ( receiver).
> > 
> >    LDP is not like that it is really Peer to Peer.
> >    So protection for individual calls is not
> really
> >    required. ( Although it would be desirable for
> >    some other purpose )
> > 
> > 2. Typically TELCO protocols have more reliability
> >    redundancy built into the stack than datacom
> world.
> > 
> 
> First, I guess I should say PNNI.  
Q.2931 is UNI although message set it reused at PNNI.

> 
> Second, datacom equipment is moving to core. MPLS is
> defined mainly for core
> network. Reliability should be as important as
Telco.

I guess again we are comparing the assumption made
by two different kind of network technologies.

One more thing I may add, is that a session between
two LDP peers is really like a call in B-ISDN world.
Thus protecting it using on TCP timer seems fine,
although not very desirable in all the cases.

=====
I am willing to learn,  if you care to teach.
I am willing to teach, if you care to learn.

__________________________________________________
Do You Yahoo!?
Yahoo! Photos -- now, 100 FREE prints!
http://photos.yahoo.com